Index: jpackage-utils-1.7.0/misc/macros.jpackage
===================================================================
--- jpackage-utils-1.7.0.orig/misc/macros.jpackage
+++ jpackage-utils-1.7.0/misc/macros.jpackage
@@ -14,17 +14,20 @@
 #
 # Root directory where all Java VMs/SDK/JREs are installed.
 #
-%_jvmdir	 %{_prefix}/lib/jvm
+# already in /usr/lib/macros on SUSE:
+# %_jvmdir	 %{_prefix}/lib/jvm
 
 #
 # Root directory where all Java VMs/SDK/JREs expose their jars
 #
-%_jvmjardir	%{_prefix}/lib/jvm-exports
+# already in /usr/lib/macros on SUSE:
+#%_jvmjardir	%{_prefix}/lib/jvm-exports
 
 #
 # Root directory for all Java VM/SDK/JRE's private things.
 #
-%_jvmprivdir	%{_prefix}/lib/jvm-private
+# already in /usr/lib/macros on SUSE:
+#%_jvmprivdir	%{_prefix}/lib/jvm-private
 
 #
 # Directory where arch and version independent jars are installed.
@@ -40,7 +43,8 @@
 #
 # To simplify things only %{_javadir} is defined.
 #
-%_javadir        %{_datadir}/java
+# already in /usr/lib/macros on SUSE:
+#%_javadir        %{_datadir}/java
 
 #
 # Directory where arch-specific (JNI) version-independent jars are installed.
@@ -52,26 +56,30 @@
 #   - jars for Java standard x.y.z (usually symlinks to  %{_jnidir}-ext)
 # To simplify things only %{_jnidir} is defined.
 #
-%_jnidir        %{_prefix}/lib/java
+# already in /usr/lib/macros on SUSE:
+#%_jnidir        %{_prefix}/lib/java
 
 #
 # Root directory where all javadoc is installed. Also already in RH macros.
 #
-%_javadocdir     %{_datadir}/javadoc
+# already in /usr/lib/macros on SUSE:
+#%_javadocdir     %{_datadir}/javadoc
 
 #
 # Current default JVM home.
 #
-%java_home      %(. %{_javadir}-utils/java-functions; set_jvm; echo $JAVA_HOME)
+# already in /usr/lib/macros on SUSE:
+#%java_home      %(. %{_javadir}-utils/java-functions; set_jvm; echo $JAVA_HOME)
 
 #==============================================================================
 # ---- default Java commands
 
-%ant            JAVA_HOME=%{java_home} ant
-%jar            %{java_home}/bin/jar
-%java           %(. %{_javadir}-utils/java-functions; set_javacmd; echo $JAVACMD)
-%javac          %{java_home}/bin/javac
-%javadoc        %{java_home}/bin/javadoc
+# already in /usr/lib/macros on SUSE:
+#%ant            JAVA_HOME=%{java_home} ant
+#%jar            %{java_home}/bin/jar
+#%java           %(. %{_javadir}-utils/java-functions; set_javacmd; echo $JAVACMD)
+#%javac          %{java_home}/bin/javac
+#%javadoc        %{java_home}/bin/javadoc
 
 #==============================================================================
 # ---- Java extension handling macros
@@ -91,7 +99,8 @@
 #   %{javadir}-ext/foo.jar
 #   %{javadir}-*/bar.jar
 #
-%add_jvm_extension JAVA_LIBDIR=%{buildroot}/%{_javadir}	%{_bindir}/jvmjar -l
+# already in /usr/lib/macros on SUSE:
+#%add_jvm_extension JAVA_LIBDIR=%{buildroot}/%{_javadir}	%{_bindir}/jvmjar -l
 
 #==============================================================================
 # ---- default icons directories as per the icon theme freedesktop spec
@@ -221,38 +230,42 @@ EOF
 # %4	jars (separated by ':')
 # %5    the name of script you wish to create
 #
-%jpackage_script() \
-install -d -m 755 $RPM_BUILD_ROOT%{_bindir}\
-cat > $RPM_BUILD_ROOT%{_bindir}/%5 << EOF \
+# already in /usr/lib/macros on SUSE:
+#%jpackage_script() \
+#install -d -m 755 $RPM_BUILD_ROOT%{_bindir}\
+#cat > $RPM_BUILD_ROOT%{_bindir}/%5 << EOF \
 #!/bin/sh\
 #\
 # %{name} script\
 # JPackage Project <http://www.jpackage.org/>\
 \
 # Source functions library\
-. %{_javadir}-utils/java-functions\
-\
+# already in /usr/lib/macros on SUSE:
+#. %{_javadir}-utils/java-functions\
+#\
 # Source system prefs\
-if [ -f %{_sysconfdir}/java/%{name}.conf ] ; then\
-  . %{_sysconfdir}/java/%{name}.conf\
-fi\
-\
+# already in /usr/lib/macros on SUSE:
+#if [ -f %{_sysconfdir}/java/%{name}.conf ] ; then\
+  #. %{_sysconfdir}/java/%{name}.conf\
+#fi\
+#\
 # Source user prefs\
-if [ -f \\$HOME/.%{name}rc ] ; then\
-  . \\$HOME/.%{name}rc\
-fi\
-\
+# already in /usr/lib/macros on SUSE:
+#if [ -f \\$HOME/.%{name}rc ] ; then\
+#  . \\$HOME/.%{name}rc\
+#fi\
+#\
 # Configuration\
-MAIN_CLASS=%1\
-BASE_FLAGS=%2\
-BASE_OPTIONS=%3\
-BASE_JARS="%(echo %4 | sed -e 's,:, ,g')"\
+#MAIN_CLASS=%1\
+#BASE_FLAGS=%2\
+#BASE_OPTIONS=%3\
+#BASE_JARS="%(echo %4 | sed -e 's,:, ,g')"\
 \
 # Set parameters\
-set_jvm\
-set_classpath \\$BASE_JARS\
-set_flags \\$BASE_FLAGS\
-set_options \\$BASE_OPTIONS\
+#set_jvm\
+#set_classpath \\$BASE_JARS\
+#set_flags \\$BASE_FLAGS\
+#set_options \\$BASE_OPTIONS\
 \
 # Let's start\
 run "\\$@"\
